Bug 1316470 - JSON representation of OData error does not contain status code.
JSON representation of OData error does not contain status code.
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 05:54 EST by Juraj Duráni
Modified: 2016-08-24 07:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:42:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4040 Major Resolved Representation of OData error does not contain error code. 2016-05-26 00:52 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 05:54:43 EST
Description of problem:
*URL:* http://localhost:8080/odata4/olingo_basic/Source/SimpleTableView/?$filter=clobval%20eq%201&$format=json
*Actual result:* \{"error":\{"code":null,"message":"TEIID30492 Non-comparable expression of type object cannot be used in comparison: g4.clobval = ?."\}\}
*Expected result:* "code":500
Comment 1 JBoss JIRA Server 2016-03-11 09:47:43 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4040 to Resolved
Comment 2 JBoss JIRA Server 2016-03-14 12:44:22 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4040 to Reopened
Comment 3 JBoss JIRA Server 2016-03-15 15:09:46 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4040 to Coding In Progress
Comment 4 JBoss JIRA Server 2016-03-17 11:54:08 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4040 to Resolved

Note You need to log in before you can comment on or make changes to this bug.